maybe chmod 0755 'kernel/postinst.d/dkms'
maybe chmod 0755 'kernel/postinst.d/initramfs-tools'
maybe chmod 0755 'kernel/postinst.d/pm-utils'
+maybe chmod 0755 'kernel/postinst.d/xx-update-initrd-links'
maybe chmod 0755 'kernel/postinst.d/zz-update-grub'
maybe chmod 0755 'kernel/postrm.d'
maybe chmod 0755 'kernel/postrm.d/initramfs-tools'
--- /dev/null
+#!/bin/sh
+set -e
+
+# installkernel script calls postinst.d without any DEB_MAINT_PARAMS set
+# linux-image-* postinst calls postinst.d with DEB_MAINT_PARAMS set
+# do nothing in case linux-image-* calls this, as it already calls `linux-update-symlinks`
+[ -z "$DEB_MAINT_PARAMS" ] || exit 0
+
+# installkernel must call postinst.d with two args, version & image_path
+version="$1"
+image_path="$2"
+
+[ -n "$version" ] || exit 0
+[ -n "$image_path" ] || exit 0
+
+# call linux-update-symlinks in install mode, which will correctly
+# update vmlinuz & initrd.img symlinks. Even if initrd.img does not
+# exist yet, or has already been created by the initramfs-update
+# postinst.d hook. It will also honor kernel_img.conf settings to
+# link_in_boot yes/no. Thus matching behaviour of linux-image-*
+# postinst call to linux-update-symlinks.
+linux-update-symlinks install $version $image_path
+
+exit 0